XmVaCreateCascadeButtonGadget(library call)

NAME
XmVaCreateCascadeButtonGadget, XmVaCreateManagedCascadeButtonGadget — A CascadeButtonGadget widget convenience creation functions.

SYNOPSIS

#include <Xm/CascadeBG.h>

Widget XmVaCreateCascadeButtonGadget(
Widget parent,
String name,
...);

Widget XmVaCreateManagedCascadeButtonGadget(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a CascadeButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateCascadeButtonGadget function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedCascadeButtonGadget function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of CascadeButtonGadget and its associated resources, see XmCascadeButtonGadget(3).

RETURN

Returns the CascadeButtonGadget widget ID.

RELATED

XmCascadeButtonGadget(3), XmCreateCascadeButtonGadget(3), XtCreateWidget(3), and XtCreateManagedWidget(3).